lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <apa...@elyograg.org>
Subject Re: IndexFormatTooNewException
Date Wed, 28 Jan 2015 23:13:15 GMT
On 1/28/2015 2:51 PM, Joshi, Shital wrote:
> Thank you for replying. 
>
> We added new shard to same cluster where some shards are showing Solr version 4.10.0
and this new shard is showing Solr version 4.8.0. All shards source Solr software from same
location and use same start up script. I am surprised how older shards are still running Solr
4.10.0.
>
> How we do real downgrade index to 4.8? You mean replay all data? 

It is often not enough to simply replace the solr war.  You may also
need to wipe out the extracted war before restarting, or jars from the
previous version may still exist and some of them might be loaded
instead of the new version.

If you're using the jetty included in the example, the war is in the
webapps directory and the extracted files are under solr-webapp.  If
you're using another container, then I have no idea where the war gets
extracted.

If any index segments were written by the 4.10 version, they will not be
readable after downgrading to the 4.8 version.  Wiping out the index and
rebuilding it from scratch is usually the only way to fix that situation.

Thanks,
Shawn


Mime
View raw message